/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Information related to the extended warranty. Has to be filled for extended warranty only.
 */
@ApiModel(description = "Information related to the extended warranty. Has to be filled for extended warranty only.")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class ExtendedWarrantyInformation {
  @SerializedName("original_period")
  private String originalPeriod = null;

  public ExtendedWarrantyInformation originalPeriod(String originalPeriod) {
    this.originalPeriod = originalPeriod;
    return this;
  }

   /**
   * Original warranty period. ISO 8601 format (P18Y9M4DT11H9M8S)
   * @return originalPeriod
  **/
  @ApiModelProperty(example = "P18Y9M4DT11H9M8S", required = true, value = "Original warranty period. ISO 8601 format (P18Y9M4DT11H9M8S)")
  public String getOriginalPeriod() {
    return originalPeriod;
  }

  public void setOriginalPeriod(String originalPeriod) {
    this.originalPeriod = originalPeriod;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ExtendedWarrantyInformation extendedWarrantyInformation = (ExtendedWarrantyInformation) o;
    return Objects.equals(this.originalPeriod, extendedWarrantyInformation.originalPeriod);
  }

  @Override
  public int hashCode() {
    return Objects.hash(originalPeriod);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ExtendedWarrantyInformation {\n");
    
    sb.append("    originalPeriod: ").append(toIndentedString(originalPeriod)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

